diff --git a/include/mtp/mtp_level3.h b/include/mtp/mtp_level3.h
index 7d72d9e..4e6596f 100644
--- a/include/mtp/mtp_level3.h
+++ b/include/mtp/mtp_level3.h
@@ -23,7 +23,11 @@
 #ifndef mtp_level3_h
 #define mtp_level3_h
 
+#ifdef __FreeBSD__
+#include <sys/endian.h>
+#else
 #include <endian.h>
+#endif
 #include <stdint.h>
 #include <sys/types.h>
 
diff --git a/include/sccp/sccp_types.h b/include/sccp/sccp_types.h
index 4b14064..a0f6890 100644
--- a/include/sccp/sccp_types.h
+++ b/include/sccp/sccp_types.h
@@ -24,7 +24,11 @@
 #ifndef SCCP_TYPES_H
 #define SCCP_TYPES_H
 
+#ifdef __FreeBSD__
+#include <sys/endian.h>
+#else
 #include <endian.h>
+#endif
 
 /* Table 1/Q.713 - SCCP message types */
 enum sccp_message_types {
